%define upstream_name    Test-Inter
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Framework for more readable interactive test scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.0.0
BuildArch:  noarch

%description
This is another framework for writing test scripts. It is loosely inspired
by Test::More, and has most of it's functionality, but it is not a drop-in
replacement.

Test::More (and other existing test frameworks) suffer from two weaknesses,
both of which have prevented me from ever using them:

   None offer the ability to access specific tests in
   a reasonably interactive fashion

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.90.0-3.mga9
+ Revision: 1811478
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.90.0-2.mga8
+ Revision: 1523878
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Mar 15 2019 tv <tv> 1.90.0-1.mga7
+ Revision: 1377320
- update to 1.09

* Wed Mar 13 2019 tv <tv> 1.80.0-1.mga7
+ Revision: 1375198
- update to 1.08

* Thu Sep 20 2018 umeabot <umeabot> 1.70.0-2.mga7
+ Revision: 1286665
- Mageia 7 Mass Rebuild

* Sat Mar 17 2018 tv <tv> 1.70.0-1.mga7
+ Revision: 1210072
- update to 1.07

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-3.mga6
+ Revision: 1034303
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.60.0-2.mga6
+ Revision: 967155
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.60.0-1.mga6
+ Revision: 848199
- update to 1.06

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 744817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 686464
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 527402
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.50.0-1.mga4
+ Revision: 439957
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 373567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 1.30.0-1.mga2
+ Revision: 116429
- update to 1.03

* Mon Jun 27 2011 jquelin <jquelin> 1.20.0-1.mga2
+ Revision: 114499
- update to 1.02

* Tue Jan 18 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 22901
- cleaning spec file
- imported package perl-Test-Inter

